Bug 57294 - OpenGL parts of xscreensaver crash X
Summary: OpenGL parts of xscreensaver crash X
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: Mesa   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-09 02:03 UTC by John F. Scipione
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 20:02:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John F. Scipione 2001-12-09 02:03:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
After upgrading to Mesa-3.4.2-9 and Xscreensaver 3.33-4, when opening any
openGL screensaver X will crash and be restarted.  This problem is very
reproducable. If I downgrade back to Mesa-3.4.3-7, this does not fix the
problem.  However, if I remove the symlinks (/usr/lib/libGL.so,
/usr/lib/libGL.so.1 and libGLU.so.1) and recreate them, xscreensaver
functions once again.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  upgrade to Mesa-3.4.2-9
2.  in X, as any user, open /usr/X11R6/lib/xscreensaver/gears (or any
openGL screensaver)


Actual Results:  The screensaver goes full screen for about 1 second, then
X crashes and restarts itself.  

Expected Results:  The screensaver should open in a windowed screen and
begin.  

Additional info:

I have a voodoo 3 3000 video card, It is accelerated, as I am using XFree86
4.1.0-3.  other OpenGL apps continue to work with Mesa-3.4.2-9, such as
quake3.  This is simply a matter of updating xscreensaver so that it
depends on Mesa-3.4.2-9, instead of Mesa-3.4.2-7.

Comment 1 John F. Scipione 2001-12-10 05:51:25 UTC
Sorry, in the description of problem section, it should read that I downgraded
to Mesa-3.4.2-7, not Mesa-4.3.3-7.

Comment 2 Bill Nottingham 2002-01-25 06:32:36 UTC
That's most likely a problem with X or Mesa.

Comment 3 Mike A. Harris 2002-02-04 08:11:29 UTC
Please upgrade both your XFree86, Mesa, and kernel, as well as any other
dependant packages and see if the problem goes away.  If not, please
attach your X servr log, X config file, and /var/log/messages to
the bug report using the file attachment link below.

Thanks.

Comment 4 Mike A. Harris 2002-02-09 20:02:00 UTC
I just realized that your bug is filed against rawhide.  Both X 4.1.0 and
Mesa are now replaced in rawhide with X 4.2.0 and it's included Mesa.

Please update both your kernel, and X and all related packages to the
rawhide versions and update the report with your results.

Comment 5 Mike A. Harris 2002-07-30 02:00:21 UTC
Closing bug report due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.